curl --request GET \
--url https://dash.empirical.run/api/users/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"email": "user@example.com",
"name": "Jane Doe",
"picture": "https://example.com/avatar.jpg",
"connected_accounts": {
"slack": [
{
"user_id": "U01ABC2DEF3",
"user_name": "janedoe",
"real_name": "Jane Doe",
"display_name": "Jane",
"image_url": "https://avatars.slack-edge.com/...",
"team_id": "T01XYZ789"
}
],
"github": [
{
"user_id": "12345678",
"username": "janedoe",
"display_name": "Jane Doe",
"avatar_url": "https://avatars.githubusercontent.com/u/12345678"
}
]
}
}
}
Returns a single user by their ID
curl --request GET \
--url https://dash.empirical.run/api/users/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"email": "user@example.com",
"name": "Jane Doe",
"picture": "https://example.com/avatar.jpg",
"connected_accounts": {
"slack": [
{
"user_id": "U01ABC2DEF3",
"user_name": "janedoe",
"real_name": "Jane Doe",
"display_name": "Jane",
"image_url": "https://avatars.slack-edge.com/...",
"team_id": "T01XYZ789"
}
],
"github": [
{
"user_id": "12345678",
"username": "janedoe",
"display_name": "Jane Doe",
"avatar_url": "https://avatars.githubusercontent.com/u/12345678"
}
]
}
}
}
{
"data": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"email": "user@example.com",
"name": "Jane Doe",
"picture": "https://example.com/avatar.jpg",
"connected_accounts": {
"slack": [
{
"user_id": "U01ABC2DEF3",
"user_name": "janedoe",
"real_name": "Jane Doe",
"display_name": "Jane",
"image_url": "https://avatars.slack-edge.com/...",
"team_id": "T01XYZ789"
}
],
"github": [
{
"user_id": "12345678",
"username": "janedoe",
"display_name": "Jane Doe",
"avatar_url": "https://avatars.githubusercontent.com/u/12345678"
}
]
}
}
}
curl -X GET \
"https://dash.empirical.run/api/users/a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
-H "Authorization: Bearer $EMPIRICALRUN_KEY"
Was this page helpful?